Inbound email
Receive email: inbound domains, routes, received messages, allowlists and blocklists.
/v1/transactional/inbound/domains/{domainId}/settingsAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/domains/string/settings"{ "domainId": "string", "domainName": "string", "isEnabled": true, "catchAllEnabled": true, "maxMessageSizeBytes": 0, "dailyLimit": 0, "retentionDays": 0, "storeEmails": true, "routeCount": 0, "defaults": null}/v1/transactional/inbound/domains/{domainId}/settingsAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/transactional/inbound/domains/string/settings" \ -H "Content-Type: application/json" \ -d '{}'{ "domainId": "string", "domainName": "string", "isEnabled": true, "catchAllEnabled": true, "maxMessageSizeBytes": 0, "dailyLimit": 0, "retentionDays": 0, "storeEmails": true, "routeCount": 0, "defaults": null}/v1/transactional/inbound/domains/{domainId}/routesAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/domains/string/routes"{ "items": [ { "id": "string", "name": "string", "domainId": "string", "domainName": null, "priority": 0, "isEnabled": true, "matchType": "string", "matchPattern": "string", "actions": [ "string" ], "webhookId": null, "webhookName": null, "webhookUrl": null, "forwardToEmail": null, "forwardDestination": null, "rejectStatus": null, "rejectMessage": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "totalCount": 0}/v1/transactional/inbound/domains/{domainId}/routesAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/transactional/inbound/domains/string/routes" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "matchType": "string", "matchPattern": "string" }'{ "id": "string", "name": "string", "domainId": "string", "domainName": null, "priority": 0, "isEnabled": true, "matchType": "string", "matchPattern": "string", "actions": [ "string" ], "webhookId": null, "webhookName": null, "webhookUrl": null, "forwardToEmail": null, "forwardDestination": null, "rejectStatus": null, "rejectMessage": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/v1/transactional/inbound/routes/{routeId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/routes/string"{ "id": "string", "name": "string", "domainId": "string", "domainName": null, "priority": 0, "isEnabled": true, "matchType": "string", "matchPattern": "string", "actions": [ "string" ], "webhookId": null, "webhookName": null, "webhookUrl": null, "forwardToEmail": null, "forwardDestination": null, "rejectStatus": null, "rejectMessage": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/v1/transactional/inbound/routes/{routeId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/transactional/inbound/routes/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "domainId": "string", "domainName": null, "priority": 0, "isEnabled": true, "matchType": "string", "matchPattern": "string", "actions": [ "string" ], "webhookId": null, "webhookName": null, "webhookUrl": null, "forwardToEmail": null, "forwardDestination": null, "rejectStatus": null, "rejectMessage": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/v1/transactional/inbound/routes/{routeId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/v1/transactional/inbound/routes/string"/v1/transactional/inbound/forward-destinations/{destinationId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/forward-destinations/string"{ "id": "string", "email": "string", "status": "string", "confirmedVia": null, "lastSentAt": null, "confirmedAt": null, "declinedAt": null}/v1/transactional/inbound/forward-destinations/{destinationId}/resendAllowed only while the destination is pending, at most once every 5 minutes and 5 times a day per destination, and 50 times a day per organisation. A destination on one of your own sending-verified domains needs no confirmation.
Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/transactional/inbound/forward-destinations/string/resend"{ "id": "string", "email": "string", "status": "string", "confirmedVia": null, "lastSentAt": null, "confirmedAt": null, "declinedAt": null}/v1/transactional/inbound/routes/{routeId}/toggleAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/transactional/inbound/routes/string/toggle"{ "id": "string", "name": "string", "domainId": "string", "domainName": null, "priority": 0, "isEnabled": true, "matchType": "string", "matchPattern": "string", "actions": [ "string" ], "webhookId": null, "webhookName": null, "webhookUrl": null, "forwardToEmail": null, "forwardDestination": null, "rejectStatus": null, "rejectMessage": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/v1/transactional/inbound/domains/{domainId}/routes/reorderAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/transactional/inbound/domains/string/routes/reorder" \ -H "Content-Type: application/json" \ -d '{ "routeIds": [ "string" ] }'{ "items": [ { "id": "string", "name": "string", "domainId": "string", "domainName": null, "priority": 0, "isEnabled": true, "matchType": "string", "matchPattern": "string", "actions": [ "string" ], "webhookId": null, "webhookName": null, "webhookUrl": null, "forwardToEmail": null, "forwardDestination": null, "rejectStatus": null, "rejectMessage": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "totalCount": 0}/v1/transactional/inbound/domains/{domainId}/routes/testAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/transactional/inbound/domains/string/routes/test" \ -H "Content-Type: application/json" \ -d '{ "emailAddress": "string" }'{ "matched": true, "matchedRouteId": null, "matchedRouteName": null, "actions": null}/v1/transactional/inbound/emailsAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Query Parameters
^-?(?:0|[1-9]\d*)$int32date-timedate-timeResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/emails"{ "items": [ { "id": "string", "domainId": "string", "domainName": null, "matchedRouteId": null, "matchedRouteName": null, "fromAddress": null, "fromName": null, "subject": "string", "textPreview": null, "hasHtml": true, "hasText": true, "attachmentCount": 0, "sizeBytes": 0, "status": "string", "spfResult": null, "dkimResult": null, "dmarcResult": null, "isSpam": true, "spamScore": null, "receivedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "actionBadge": null, "forwardedTo": null, "forwards": [ { "destination": "string", "status": "string", "reason": null, "omittedAttachmentCount": 0, "messageId": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] } ], "nextCursor": null, "hasMore": true}/v1/transactional/inbound/quarantineAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Query Parameters
^-?(?:0|[1-9]\d*)$int3220date-timedate-timeResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/quarantine"{ "items": [ { "id": "string", "domainId": "string", "domainName": null, "matchedRouteId": null, "matchedRouteName": null, "fromAddress": null, "fromName": null, "subject": "string", "textPreview": null, "hasHtml": true, "hasText": true, "attachmentCount": 0, "sizeBytes": 0, "status": "string", "spfResult": null, "dkimResult": null, "dmarcResult": null, "isSpam": true, "spamScore": null, "receivedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "actionBadge": null, "forwardedTo": null, "forwards": [ { "destination": "string", "status": "string", "reason": null, "omittedAttachmentCount": 0, "messageId": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] } ], "nextCursor": null, "hasMore": true}/v1/transactional/inbound/quarantine/{publicId}/releaseAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Query Parameters
falseResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/transactional/inbound/quarantine/string/release"{ "id": "string", "domainId": "string", "domainName": null, "matchedRouteId": null, "matchedRouteName": null, "fromAddress": null, "fromName": null, "subject": "string", "textPreview": null, "hasHtml": true, "hasText": true, "attachmentCount": 0, "sizeBytes": 0, "status": "string", "spfResult": null, "dkimResult": null, "dmarcResult": null, "isSpam": true, "spamScore": null, "receivedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "actionBadge": null, "forwardedTo": null, "forwards": [ { "destination": "string", "status": "string", "reason": null, "omittedAttachmentCount": 0, "messageId": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}/v1/transactional/inbound/emails/{publicId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/emails/string"{ "envelopeFrom": "string", "replyTo": null, "messageId": null, "inReplyTo": null, "dateHeader": null, "authResultsHeader": null, "spamReason": null, "sourceIp": null, "heloHostname": null, "processingError": null, "processedAt": null, "envelopeRecipients": [ { "address": "string", "localPart": "string", "matchedRouteId": null } ], "headerRecipients": [ { "type": "string", "address": "string", "name": null } ], "attachments": [ { "id": "string", "fileName": "string", "contentType": "string", "sizeBytes": 0, "isInline": true, "contentId": null } ], "webhookAttempts": [ { "attemptNumber": 0, "status": "string", "webhookUrl": "string", "httpStatusCode": null, "errorMessage": null, "durationMs": 0, "attemptedAt": "2019-08-24T14:15:22Z", "nextRetryAt": null } ], "id": "string", "domainId": "string", "domainName": null, "matchedRouteId": null, "matchedRouteName": null, "fromAddress": null, "fromName": null, "subject": "string", "textPreview": null, "hasHtml": true, "hasText": true, "attachmentCount": 0, "sizeBytes": 0, "status": "string", "spfResult": null, "dkimResult": null, "dmarcResult": null, "isSpam": true, "spamScore": null, "receivedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "actionBadge": null, "forwardedTo": null, "forwards": [ { "destination": "string", "status": "string", "reason": null, "omittedAttachmentCount": 0, "messageId": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}/v1/transactional/inbound/emails/{publicId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/v1/transactional/inbound/emails/string"/v1/transactional/inbound/emails/bulk-deleteAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/transactional/inbound/emails/bulk-delete" \ -H "Content-Type: application/json" \ -d '{}'{ "affectedCount": 0, "message": null}/v1/transactional/inbound/emails/bulk-mark-spamAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/transactional/inbound/emails/bulk-mark-spam" \ -H "Content-Type: application/json" \ -d '{}'{ "affectedCount": 0, "message": null}/v1/transactional/inbound/emails/{publicId}/rawDownloads the original email from R2 storage and streams it with Content-Type: message/rfc822 for .eml file download.
Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/emails/string/raw"{ "fileStream": "string", "contentType": null, "fileDownloadName": null, "lastModified": null, "entityTag": null, "enableRangeProcessing": true}/v1/transactional/inbound/emails/{publicId}/bodyThe HTML is returned as data, UNSANITIZED: nothing on this origin renders it. The dashboard
sanitizes it and shows it only in a sandboxed frame with no scripts, no same-origin access and
remote images blocked by default. An HTML body larger than
int InboundMimeContentReader.MaxHtmlBodyChars is withheld (htmlOmitted).
Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/emails/string/body"{ "html": null, "text": null, "htmlOmitted": true}/v1/transactional/inbound/emails/{publicId}/attachments/{attachmentId}Streams the decoded part out of the stored raw MIME — attachments are not stored as separate
objects, so there is nothing to sign a link to. Always Content-Disposition: attachment,
nosniff and a sandbox CSP; the declared type is served only for the image and PDF
types the dashboard previews, and everything else as application/octet-stream.
Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/emails/string/attachments/string"{ "fileStream": "string", "contentType": null, "fileDownloadName": null, "lastModified": null, "entityTag": null, "enableRangeProcessing": true}/v1/transactional/inbound/emails/{publicId}/replay-webhookAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/transactional/inbound/emails/string/replay-webhook"{ "emailId": "string", "queued": true, "webhookUrl": null, "message": null}/v1/transactional/inbound/statsAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Query Parameters
date-timedate-timeResponse Body
application/json
curl -X GET "https://example.com/v1/transactional/inbound/stats"{ "totalEmails": 0, "todayEmails": 0, "receivedCount": 0, "processingCount": 0, "processedCount": 0, "failedCount": 0, "spamCount": 0, "webhookFailedCount": 0, "storageUsedBytes": 0, "byDomain": [ { "domainId": "string", "domainName": "string", "count": 0 } ], "byStatus": { "property1": 0, "property2": 0 }, "dailyStats": [ { "date": "2019-08-24T14:15:22Z", "total": 0, "processed": 0, "spam": 0 } ]}/v1/transactional/inbound/routesAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Query Parameters
^-?(?:0|[1-9]\d*)$int3250Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/routes"{ "items": [ { "id": "string", "name": "string", "domainId": "string", "domainName": null, "priority": 0, "isEnabled": true, "matchType": "string", "matchPattern": "string", "actions": [ "string" ], "webhookId": null, "webhookName": null, "webhookUrl": null, "forwardToEmail": null, "forwardDestination": null, "rejectStatus": null, "rejectMessage": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": null, "hasMore": true}/v1/transactional/inbound/allowlistAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Query Parameters
^-?(?:0|[1-9]\d*)$int3250Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/allowlist"{ "items": [ { "id": "string", "domainId": null, "domainName": null, "matchType": "string", "pattern": "string", "description": null, "isEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": null, "hasMore": true}/v1/transactional/inbound/allowlistAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/transactional/inbound/allowlist" \ -H "Content-Type: application/json" \ -d '{ "pattern": "string" }'{ "id": "string", "domainId": null, "domainName": null, "matchType": "string", "pattern": "string", "description": null, "isEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/v1/transactional/inbound/allowlist/{publicId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/allowlist/string"{ "id": "string", "domainId": null, "domainName": null, "matchType": "string", "pattern": "string", "description": null, "isEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/v1/transactional/inbound/allowlist/{publicId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/transactional/inbound/allowlist/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "domainId": null, "domainName": null, "matchType": "string", "pattern": "string", "description": null, "isEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/v1/transactional/inbound/allowlist/{publicId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/v1/transactional/inbound/allowlist/string"/v1/transactional/inbound/blocklistAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Query Parameters
^-?(?:0|[1-9]\d*)$int3250Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/blocklist"{ "items": [ { "id": "string", "domainId": null, "domainName": null, "matchType": "string", "pattern": "string", "action": "string", "description": null, "isEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": null, "hasMore": true}/v1/transactional/inbound/blocklistAuthorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/transactional/inbound/blocklist" \ -H "Content-Type: application/json" \ -d '{ "pattern": "string" }'{ "id": "string", "domainId": null, "domainName": null, "matchType": "string", "pattern": "string", "action": "string", "description": null, "isEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/v1/transactional/inbound/blocklist/{publicId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/transactional/inbound/blocklist/string"{ "id": "string", "domainId": null, "domainName": null, "matchType": "string", "pattern": "string", "action": "string", "description": null, "isEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/v1/transactional/inbound/blocklist/{publicId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/transactional/inbound/blocklist/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "domainId": null, "domainName": null, "matchType": "string", "pattern": "string", "action": "string", "description": null, "isEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/v1/transactional/inbound/blocklist/{publicId}Authorization
ApiKey Your API key, created in the dashboard under API keys. Production sending keys start with ml_pet_ (transactional) or ml_pem_ (marketing); sandbox keys with ml_set_ or ml_sem_.
In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/v1/transactional/inbound/blocklist/string"